libneon27_0.30.1-3build1_i386.deb


Advertisement

Description

libneon27 - HTTP and WebDAV client library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main i386
Package filename libneon27_0.30.1-3build1_i386.deb
Package name libneon27
Package version 0.30.1
Package release 3build1
Package architecture i386
Package type deb
Category libs
Homepage http://www.webdav.org/neon/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 98.96 KB
Installed size 287.00 KB
neon is an HTTP and WebDAV client library, with a C language API.
WARNING: THE NEON API IS NOT YET STABLE.
Provides lower-level interfaces to directly implement new HTTP
methods, and higher-level interfaces so that you don't have to
worry about the lower-level stuff.
Current features:
* High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD, etc.)
* Low-level interface to HTTP request handling, to allow implementing
new methods easily.
* persistent connections
* RFC2617 basic and digest authentication (including auth-int, md5-sess)
* Proxy support (including basic/digest authentication)
* SSL/TLS support using OpenSSL (including client certificate and thread
safety support)
* Generic WebDAV 207 XML response handling mechanism
* XML parsing using the expat or libxml parsers
* Easy generation of error messages from 207 error responses
* WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
* WebDAV metadata support: set and remove properties, query any set ofi
properties (PROPPATCH/PROPFIND).
* autoconf macros supplied for easily embedding neon directly inside an
application source tree.

Alternatives

Package Version Architecture Repository
libneon27_0.30.1-3build1_amd64.deb 0.30.1 amd64 Ubuntu Main
libneon27 - - -

Requires

Name Value
libc6 >= 2.4
libgssapi-krb5-2 >= 1.10+dfsg~
libssl1.0.0 >= 1.0.0
libxml2 >= 2.7.4
zlib1g >= 1:1.1.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libneon27_0.30.1-3build1_i386.deb
Source Package neon27

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libneon27 deb package:
    # sudo apt-get install libneon27

Files

Path
/usr/lib/i386-linux-gnu/libneon.so.27
/usr/lib/i386-linux-gnu/libneon.so.27.3.1
/usr/share/doc/libneon27/AUTHORS
/usr/share/doc/libneon27/BUGS
/usr/share/doc/libneon27/NEWS.gz
/usr/share/doc/libneon27/README
/usr/share/doc/libneon27/THANKS
/usr/share/doc/libneon27/TODO
/usr/share/doc/libneon27/changelog.Debian.gz
/usr/share/doc/libneon27/copyright

Changelog

2016-02-17 - Matthias Klose <doko@ubuntu.com>
neon27 (0.30.1-3build1) xenial; urgency=medium
* No-change rebuild for gnutls transition.
2016-01-30 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
neon27 (0.30.1-3) unstable; urgency=low
* Sync with Ubuntu (closes: #812936).
[ Matthias Klose <doko@ubuntu.com> ]
* Multiarchify the package.
* Build using dpkg-buildflags.
2015-10-03 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
neon27 (0.30.1-2) unstable; urgency=low
* Use upstream fix for building with GnuTLS 3.4 (closes: #782832).
* Add lintian overrides for known false positives.
* Update Standards-Version to 3.9.6 .
2014-09-29 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
neon27 (0.30.1-1) unstable; urgency=low
* New upstream release.
* Drop GnuTLS memory leak fix, merged upstream.
2014-08-01 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
neon27 (0.30.0-4) unstable; urgency=low
[ Patrick Ohly <patrick.ohly@intel.com> ]
* Fix memory leak when using gnutls >= 1.3.1 (closes: #756608).
2014-06-21 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
neon27 (0.30.0-3) unstable; urgency=low
* Swich to gnutls28 (closes: #752238).
* Enable OpenSSL testsuite.
2014-04-24 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
neon27 (0.30.0-2) unstable; urgency=low
* Move to debhelper level 9 and Standards-Version 3.9.5 .
* Sync with Ubuntu.
[ Colin Watson <cjwatson@ubuntu.com> ]
* Use dh-autoreconf to update libtool.m4 for new ports (closes: #732548).
[ Jelmer Vernooij <jelmer@debian.org> ]
* Depend on krb5-multidev rather than libkrb5-dev. Closes: #745328
2013-08-22 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
neon27 (0.30.0-1) unstable; urgency=low
* New upstream release.
* Remove disabled_SSLv2_support.patch (closes: #702554), this release
contains it.
2012-04-06 - Laszlo Boszormenyi (GCS) <gcs@debian.hu>
neon27 (0.29.6-3) unstable; urgency=low
* Add missing ne_ssl_context_get_flag() for GnuTLS flavour (closes: #667043).
2012-04-03 - Laszlo Boszormenyi (GCS) <gcs@debian.hu>
neon27 (0.29.6-2) unstable; urgency=low
* Make Neon recognize that SSLv2 functions were disabled (closes: #622140).

See Also

Package Description
libnet-cidr-perl_0.17-1_all.deb Manipulate IPv4/IPv6 netblocks in CIDR notation
libnet-dbus-perl_1.1.0-3build1_i386.deb Perl extension for the DBus bindings
libnet-dns-perl_0.81-2build1_i386.deb Perform DNS queries from a Perl script
libnet-domain-tld-perl_1.73-1_all.deb list of currently available Top-level Domains (TLDs)
libnet-http-perl_6.09-1_all.deb module providing low-level HTTP connection client
libnet-ip-perl_1.26-1_all.deb Perl extension for manipulating IPv4/IPv6 addresses
libnet-ldap-perl_0.6500+dfsg-1_all.deb client interface to LDAP servers
libnet-libidn-perl_0.12.ds-2build2_i386.deb Perl bindings for GNU Libidn
libnet-server-perl_2.008-2_all.deb extensible, general perl server engine
libnet-smtp-ssl-perl_1.03-1_all.deb Perl module providing SSL support to Net::SMTP
libnet-snmp-perl_6.0.1-2_all.deb Script SNMP connections
libnet-ssleay-perl_1.72-1build1_i386.deb Perl module for Secure Sockets Layer (SSL)
libnet-xwhois-perl_0.90-4_all.deb Whois Client Interface for Perl5
libnet1-dev_1.1.6+dfsg-3_i386.deb development files for libnet
libnet1-doc_1.1.6+dfsg-3_all.deb developers documentation files for libnet
Advertisement
Advertisement